Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class ArchiveCutOffExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.ocsp.ArchiveCutOffExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class ArchiveCutOffExtension
extends oracle.security.crypto.cert.X509Extension

Represents the extension archive cutOff for the SingleBasicResponse objects.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`ArchiveCutOffExtension()` Create a new extension with the appropriate OID type.
`ArchiveCutOffExtension(java.util.Date archiveCutOff)` Creates a new extension object with the given date.
`ArchiveCutOffExtension(java.util.Date archiveCutOff, boolean critical)` Creates a new extension object with the given date.
`ArchiveCutOffExtension(java.io.InputStream is)`

Method Summary
`java.util.Date` | `getArchiveCutOff()` Gets the archive cutOff value.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArchiveCutOffExtension

    public ArchiveCutOffExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### ArchiveCutOffExtension

    public ArchiveCutOffExtension(java.util.Date archiveCutOff)

  Creates a new extension object with the given date. By default, this extension will not be critical.
Parameters:
  `archiveCutOff` - The value of this extension.

### ArchiveCutOffExtension

    public ArchiveCutOffExtension(java.util.Date archiveCutOff,
                                  boolean critical)

  Creates a new extension object with the given date.
Parameters:
  `archiveCutOff` - The value of this extension.
  `critical` - True if this extension is critical, false otherwise.

### ArchiveCutOffExtension

    public ArchiveCutOffExtension(java.io.InputStream is)
                           throws java.io.IOException

Method Detail

### getArchiveCutOff

    public java.util.Date getArchiveCutOff()

  Gets the archive cutOff value.
  Returns:
    A Date object representing the value of this extension.

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.